This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1031156 - Fuse routes editor should not be in open with list for switchyard.xml files
Fuse routes editor should not be in open with list for switchyard.xml files
Status: ON_QA
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Camel (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: ---
Assigned To: Paul Leacu
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 13:10 EST by Rob Cernich
Modified: 2015-11-02 03:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The "Fuse Tooling Routes Editor" is present in the "Open With" list for switchyard.xml files. The Routes Editor should be constrained to applicable files. If you attempt to click it, an empty canvas is opened. To work around this issue, avoid clicking on this option.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker FUSETOOLS-1139 Major Closed Fuse routes editor should not be in "open with" list for switchyard.xml files 2015-08-17 10:25:16 EDT

  None (edit)
Description Rob Cernich 2013-11-15 13:10:22 EST
"Fuse Tooling Routes Editor" is listed in "Open With" list for switchyard.xml files.  The routes editor should be constrained to applicable files.

Steps to reproduce:
1. Create a SwitchYard project
2. right-click switchyard.xml file in navigator and select "Open With"

Notice Fuse Tooling Routes Editor is in the list.  If you click on this, it spins for a while then an editor with an empty canvas is opened.
Comment 1 Keith Babo 2013-11-18 09:31:40 EST
How did this get assigned to me? :-)

Rob - you filed this issue.  Is it important enough to fix for FSW 6?
Comment 2 Rob Cernich 2013-11-18 10:45:18 EST
I don't think so.  It should be routed to the Fuse folks though.
Comment 3 Anne-Louise Tangring 2014-06-19 14:07:45 EDT
Please create a Fuse Jira and link them. Thanks!
Comment 4 Rob Cernich 2014-06-25 15:55:57 EDT
Created and linked FUSETOOLS JIRA.
Comment 5 JBoss JIRA Server 2014-08-12 14:19:46 EDT
Paul Leacu <pleacu@redhat.com> updated the status of jira FUSETOOLS-1139 to Resolved
Comment 6 Paul Leacu 2014-08-12 14:22:48 EDT
https://github.com/fusesource/fuseide/commit/afc1686cab7999eb5466286dfe514086d9246b77

I couldn't eliminate the fuse camel route editor from the workbench/ project explorer pull-down targeting the switchyard.xml file since it was registered by supported extension (xml) and the OpenWithMenu method was not extendable. There was also no supported XML to exclude a particular file. Consequently - added a check to the RiderDesignEditor to issue a warning dialog if it encounters a 'switchyard.xml' file and then default to the source editor (design editor is always empty). The source editor will work.

If the user specifies a different editor for the switchyard.xml it will be retained as a preference and double-clicking switchyard.xml will invoke the editor of their choosing.
Comment 7 Paul Leacu 2014-08-12 14:23:45 EDT
Fix will appear in Fuse Tooling 7.3
Comment 8 Rob Cernich 2014-08-12 14:34:04 EDT
I would have guessed that you could have associated the editor with a content-type, whereby the content-type is defined using one of the xml parsers to determine the actual file type.  You can look at the SwitchYard editor for an example: it edits only xml files that are rooted with a "switchyard" element.
Comment 9 JBoss JIRA Server 2014-10-31 06:40:11 EDT
Tomáš Sedmík <tsedmik@redhat.com> updated the status of jira FUSETOOLS-1139 to Closed

Note You need to log in before you can comment on or make changes to this bug.